Description

Currently the output of the join function keeps all records/features of both shapefiles/tables. It would be useful to add the option of keeping

only matching records/features during the table join.

This exists in ArcGIS and is explained in this link, under "Joining attributes in one table to another".

http://webhelp.esri.com/arcgiSDEsktop/9.3/index.cfm?TopicName=Joining_tables

Apparently the join function of mmqgis only keeps matching records.

History

#1 - 2012-01-31 03:46 AM - Nathan Woodrow

I think it would be a good idea to create a memory layer rather then a shapefile, then it can be saved out to disk later.

#2 - 2012-04-15 10:21 AM - Giovanni Manghi

- Target version set to Version 2.0.0

#3 - 2012-10-06 02:16 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2014-05-06 09:00 AM - Antonio Locandro

This is very important feature for some of us that do this often. I believe when doing a join there should be an option to keep matching records or all as

follows:

    -  Add vector join ***

Join layer   - 

Join Field   -

Target Field -

[x] Keep only matching records (by default)

[ ] Keep all records

[ ] Cache join layer in virtual memory

[ ] Create attribute index on join field
I don't know how other COTS do it but when doing joins I see the fields in the layer where the join is created and I am able to select and do queries on it.

As an extra bonus the possibility to have a check-box to the join to enable/disable it at will

Join layer / Join Field / Target field / Memory Cache / Enable Join

Also currently it only lets you do joins from tables previously loaded to QGIS but in our case we have lots of CSV files we use for joins where we usually

just load them at the Join layer stage

#5 - 2014-05-06 09:40 AM - Antonio Locandro

Ok so spent 2 hours working around to realize that this is the default behaviour, I should have looked at the issue list first. Joining tables is a very common

task and the current state of QGIS makes it very hard to do since one would have to several things before having the result one expects.

BTW I wouldn't want to create a layer each time I do a join which is what mmqgis does at the moment

#6 - 2016-06-13 06:35 PM - Nyall Dawson

- Status changed from Open to Feedback

I don't understand this bug. Are you referring the joining layers using the option under layer properties? Because if so that will only use matching features.

Can anyone please clarify?

#7 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
